---
title: Resize
url: https://docs.vultr.com/products/compute/instances/optimized-cloud-compute/management/resize-instance
description: Learn how to increase or decrease the resources of your Vultr Optimized Cloud Compute instance.
publish_date: 2024-09-23T20:19:38.122227Z
last_updated: 2026-05-26T18:45:29.148693Z
---

# How to Resize a Vultr Optimized Cloud Compute Instance

Resizing an instance activates a new plan with more vCPUs, RAM, and storage to match your needs. Downgrading is not supported while upgrading the instance enables a higher plan without changes to the instance's data or file system.

Follow this guide to resize a Vultr Optimized Cloud Compute instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr Optimized Cloud Compute instance to open its management page.
    1. Navigate to the **Settings** tab.
    1. Find and click **Change Plan** on the left navigation menu.
    1. Click the **Change Plan** drop-down and select a new instance plan.
    1. Click **Upgrade** to resize your instance.
    1. Check the confirmation prompt and click **Change Plan** to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/update-instance) to resize the instance with a new plan and note the Job ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
        -X PATCH \
        -H "Authorization: Bearer ${VULTR_API_KEY}" \
        -H "Content-Type: application/json" \
        --data '{
          "plan" : "instance_plan_id"
        }'
        ```

    1. Send a `GET` request to the [**Get Instance Job** endpoint](https://www.vultr.com/api/#tag/instances/operation/get-instance-job) to monitor and get availble information for the upgrade plan instance job.

        ```console
        $ curl "https://api.vultr.com/v2/instances/jobs/{job-id}" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. List all available plans the instance can resize to.

        ```console
        $ vultr-cli instance plan list <instance-id>
        ```

    1. Resize the instance to a new plan.

        ```console
        $ vultr-cli instance plan upgrade <instance-id> --plan <instance_plan_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration for the existing Optimized Cloud Compute instance.

    1. Update the `plan` value in the instance resource to the new Optimized Cloud Compute plan code.

        ```terraform
        resource "vultr_instance" "occ" {
            # ...existing fields (region, os_id, label, etc.)

            plan = "vhp-4c-8gb"  # Example: upgrade from vhp-2c-4gb to vhp-4c-8gb
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
